MEMSTAT(1)

NAME
memstat - libmemcached Documentation

SYNOPSIS

memstat [options] [stat args]

Gather statistics from a server

DESCRIPTION

memstat dumps the state of memcached(1) <https://linux.die.net/man/1/memcached> servers. It prints all data to stdout.

OPTIONS

    -h|--help
        Display help.

    -V|--version
        Display version.

    -q|--quiet
        Operate quietly.

    -v|--verbose
        Operate more verbosely.

    -d|--debug
        See -v|--verbose.

    -s|--servers <list of servers>
        Specify the list of servers as hostname[:port][,hostname[:port]...].

    -n|--non-blocking
        Enable non-blocking operations.

    -N|--tcp-nodelay
        Disable Nagle's algorithm.

    -b|--binary
        Enable binary protocol.

    -B|--buffer
        Buffer requests.

    -u|--username <username>
        Use username for SASL authentication.

    -p|--password <password>
        Use password for SASL authentication.

    -A|--args <stat>
        Stat args.

        DEPRECATED: use positional arguments.

    -a|--analyze [<arg>]
        Analyze and print differences of a server cluster. A memory and uptime comparison is performed by default.

        Options:

        --analyze[=default]
            Memory and uptime comparison.

        --analyze=latency
            Network latency comparison.

    -S|-server-version
        Obtain and print server version(s) only.

    --iterations
        Iteration count of GETs sent by the latency test (default: 1000).

ENVIRONMENT

    MEMCACHED_SERVERS
        Specify a list of servers.

NOTES

  PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of libmemcached-awesome are prefixed with mem, like memcat or memcp.

It can be configured, though, to replace the prefix with something else like mc, in case of that, the client programs of libmemcached-awesome would be called mccat, mccp, etc. respectively.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached>

    •   C/C++ Client Library for memcached <>

    •   Working with statistical information from a server <>